## org.apache.lucene.index
Class BaseStoredFieldsFormatTestCase

    java.lang.Object
      org.junit.Assert
          org.apache.lucene.util.LuceneTestCase
              org.apache.lucene.index.BaseStoredFieldsFormatTestCase

    public abstract class BaseStoredFieldsFormatTestCase

extends LuceneTestCase

Base class aiming at testing `stored fields formats`. To test a new format, all you need is to register a new `Codec` which uses it and extend this class and override `getCodec()`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase
`LuceneTestCase.AwaitsFix, LuceneTestCase.BadApple, LuceneTestCase.Nightly, LuceneTestCase.Slow, LuceneTestCase.SuppressCodecs, LuceneTestCase.Weekly`

Field Summary

Fields inherited from class org.apache.lucene.util.LuceneTestCase

`classRules, DEFAULT_LINE_DOCS_FILE, doesntSupportOffsets, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, PREFLEX_IMPERSONATION_IS_ACTIVE, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_FAILFAST, SYSPROP_MAXFAILURES, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEMP_DIR, TEST_AWAITSFIX, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_VERSION_CURRENT, TEST_WEEKLY, VERBOSE`

Constructor Summary
`BaseStoredFieldsFormatTestCase()`

Method Summary
`protected abstract Codec` `getCodec()` Returns the Codec to run tests against
`void` `setUp()` For subclasses to override.
`void` `tearDown()` For subclasses to override.
`void` `testBigDocuments()`
`void` `testBinaryFieldOffsetLength()`
`void` `testConcurrentReads()`
`void` `testEmptyDocs()`
`void` `testIndexedBit()`
`void` `testNumericField()`
`void` `testRandomStoredFields()`
`void` `testReadSkip()`
`void` `testStoredFieldsOrder()`
`void` `testWriteReadMerge()`

Methods inherited from class org.apache.lucene.util.LuceneTestCase

`assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertFieldsEquals, assertFieldStatisticsEquals, assertNormsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertSaneFieldCaches, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, atLeast, atLeast, closeAfterSuite, closeAfterTest, defaultCodecSupportsDocValues, defaultCodecSupportsSortedSet, dumpArray, dumpIterator, getDataFile, getOnlySegmentReader, getTestClass, getTestName, isTestThread, localeForName, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMockDirectory, newMockDirectory, newMockFSDirectory, newSearcher, newSearcher, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, random, randomLocale, randomTimeZone, rarely, rarely, replaceMaxFailureRule, usually, usually`

Methods inherited from class org.junit.Assert

`assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseStoredFieldsFormatTestCase

    public BaseStoredFieldsFormatTestCase()

Method Detail

### getCodec

    protected abstract Codec getCodec()

  Returns the Codec to run tests against

### setUp

    public void setUp()
               throws Exception

  Description copied from class: `LuceneTestCase`
  For subclasses to override. Overrides must call `super.setUp()`.

  Overrides:
    `setUp` in class `LuceneTestCase`
  Throws:
    `Exception`

### tearDown

    public void tearDown()
                  throws Exception

  Description copied from class: `LuceneTestCase`
  For subclasses to override. Overrides must call `super.tearDown()`.

  Overrides:
    `tearDown` in class `LuceneTestCase`
  Throws:
    `Exception`

### testRandomStoredFields

    public void testRandomStoredFields()
                                throws IOException

  Throws:
    `IOException`

### testStoredFieldsOrder

    public void testStoredFieldsOrder()
                               throws Throwable

  Throws:
    `Throwable`

### testBinaryFieldOffsetLength

    public void testBinaryFieldOffsetLength()
                                     throws IOException

  Throws:
    `IOException`

### testNumericField

    public void testNumericField()
                          throws Exception

  Throws:
    `Exception`

### testIndexedBit

    public void testIndexedBit()
                        throws Exception

  Throws:
    `Exception`

### testReadSkip

    public void testReadSkip()
                      throws IOException

  Throws:
    `IOException`

### testEmptyDocs

    public void testEmptyDocs()
                       throws IOException

  Throws:
    `IOException`

### testConcurrentReads

    public void testConcurrentReads()
                             throws Exception

  Throws:
    `Exception`

### testWriteReadMerge

    public void testWriteReadMerge()
                            throws IOException

  Throws:
    `IOException`

### testBigDocuments

    @LuceneTestCase.Nightly
    public void testBigDocuments()
                          throws IOException

  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.